# Class QuantilesDoublesUnionBuilder

java.lang.Object
org.apache.datasketches.quantiles.QuantilesDoublesUnionBuilder

public class QuantilesDoublesUnionBuilder extends Object
For building a new QuantilesDoublesSketch Union operation.

Author:
  Lee Rhodes

## Constructor Summary

Constructors
Constructor
Description
`QuantilesDoublesUnionBuilder()`
Constructor for a new QuantilesDoublesUnionBuilder.

## Method Summary

Modifier and Type
Method
Description
`QuantilesDoublesUnion`
`build()`
Returns a new empty Union object with the current configuration of this Builder.
`QuantilesDoublesUnion`
`build(MemorySegment dstSeg, MemorySegmentRequest mSegReq)`
Returns a new empty Union object with the current configuration of this Builder and the specified backing destination MemorySegment store.
`int`
`getMaxK()`
Gets the current configured maxK
`QuantilesDoublesUnionBuilder`
`setMaxK(int maxK)`
Sets the parameter masK that determines the maximum size of the sketch that results from a union and its accuracy.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QuantilesDoublesUnionBuilder

public QuantilesDoublesUnionBuilder()
Constructor for a new QuantilesDoublesUnionBuilder. The default configuration is

- k: 128. This produces a normalized rank error of about 1.7%

## Method Details

### setMaxK

public QuantilesDoublesUnionBuilder setMaxK(int maxK)
Sets the parameter masK that determines the maximum size of the sketch that results from a union and its accuracy.

Parameters:
  `maxK` - determines the accuracy and size of the union and is a maximum. The effective k can be smaller due to unions with smaller k sketches. It is recommended that maxK be a power of 2 to enable unioning of sketches with different k.
Returns:
  this builder

### getMaxK

public int getMaxK()
Gets the current configured maxK

Returns:
  the current configured maxK

### build

public QuantilesDoublesUnion build()
Returns a new empty Union object with the current configuration of this Builder.

Returns:
  a Union object

### build

public QuantilesDoublesUnion build(MemorySegment dstSeg, MemorySegmentRequest mSegReq)
Returns a new empty Union object with the current configuration of this Builder and the specified backing destination MemorySegment store.

Parameters:
  `dstSeg` - the destination MemorySegment
  `mSegReq` - the MemorySegmentRequest used if the given MemorySegment needs to expand. Otherwise, it can be null and the default MemorySegmentRequest will be used.
Returns:
  a Union object